require_relative 'url'
require_relative 'prepare_db'
require 'httparty'

module TestUrls
  class TestUrls::Test
    def initialize
      @host_url = "http://0.0.0.0:3000"
      @routes = TestUrls::Url.new.routes
      TestUrls::PrepareDb.new.prepare
      @url_states = {}
    end

    def run_test
      @routes.each do |route|
        @url_states[route] = HTTParty.get("#{@host_url}#{route}").response.code
      end
      @url_states
    end
  end
end
